Issue 119658 - [From Symphony] Some numbering format not support
[From Symphony] Some numbering format not support
Status: CLOSED FIXED
Product: Writer
Classification: Application
Component: open-import
3.4.0
PC All
: P3 normal (vote)
: 4.0.0
Assigned To: AOO issues mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-01 06:19 UTC by xiao ting xiao
Modified: 2012-10-09 05:35 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
sample file (20.57 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2012-06-01 06:19 UTC, xiao ting xiao
no flags Details
screenshot (39.92 KB, image/jpeg)
2012-06-01 06:20 UTC, xiao ting xiao
no flags Details
patch for numbering type support in docx (952 bytes, patch)
2012-08-28 06:23 UTC, bjcheny
zhangjf: review+
Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description xiao ting xiao 2012-06-01 06:19:40 UTC
Created attachment 77881 [details]
sample file

Steps:
1. Launch AOO 3.4.
2. Open the sample file(see attachment) and check.

Problem: 
Some numbering format not support(see screen shot).
Comment 1 xiao ting xiao 2012-06-01 06:20:22 UTC
Created attachment 77882 [details]
screenshot
Comment 2 Du Jing 2012-07-11 09:16:24 UTC
confirmed,change its status
Comment 3 bjcheny 2012-08-28 06:23:11 UTC
Created attachment 79186 [details]
patch for numbering type support in docx

Some numbering type are missed when matching. Thus, just add cases to handle them.
Comment 4 SVN Robot 2012-09-03 08:51:23 UTC
"zhangjf" committed SVN revision 1380171 into trunk:
#i119658#, some Chinese numbering formats are not supported Found by: xiao ti...
Comment 5 zhang jianfang 2012-09-03 08:51:59 UTC
Comment on attachment 79186 [details]
patch for numbering type support in docx

Thanks, the patch works.
Comment 6 zhang jianfang 2012-09-03 08:52:52 UTC
update to resolved/fixed state.
Comment 7 Du Jing 2012-09-20 07:33:39 UTC
verified on the build AOO3.5_r1387482
Comment 8 Shenfeng Liu 2012-10-09 05:35:28 UTC
set Target Milestone to AOO 3.5.0 for PM purpose.